Bug 165781 - gij has wrong default value for gnu.gcj.precompiled.db.path property
gij has wrong default value for gnu.gcj.precompiled.db.path property
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-11 21:28 EDT by Robin Green
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.0.1-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 06:22:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Green 2005-08-11 21:28:10 EDT
Description of problem:
After a yum upgrade today (excluding eclipse* and libswt* from the upgrade),
eclipse started to run *fully* interpreted. (This, incidentally, makes it crash
and misbehave far more than it normally does, something I will be looking into.)

Version-Release number of selected component (if applicable):
eclipse-platform-3.1.0_fc-6

How reproducible:
Always

Steps to Reproduce:
1. Install latest gcj and -compat packages, etc.
2. Run eclipse
3. Get the PID of the eclipse java process
4. pmap $PID|grep eclipse
  
Actual results:
14750:   /usr/lib/jvm/java-gcj/bin/java -Xms64M -Xmx256M -jar
/usr/share/eclipse/startup.jar -os linux -ws gtk -arch x86 -launcher
/usr/share/eclipse/eclipse -name Eclipse -showsplash 600 -exitdata 22800d -data
. -vm /usr/lib/jvm/java-gcj/bin/java -vmargs -Xms64M -Xmx256M -jar
/usr/share/eclipse/startup.jar
002e9000    268K r-x--  /usr/lib/eclipse/libswt-pi-gtk-3138.so
0032c000      4K rwx--  /usr/lib/eclipse/libswt-pi-gtk-3138.so
00a7e000    148K r-x--  /usr/lib/eclipse/libswt-gtk-3138.so
00aa3000      8K rwx--  /usr/lib/eclipse/libswt-gtk-3138.so
00abb000      8K r-x--  /usr/lib/eclipse/libcore_3_1_0.so
00abd000      4K rwx--  /usr/lib/eclipse/libcore_3_1_0.so
00ac1000     20K r-x--  /usr/lib/eclipse/libswt-atk-gtk-3138.so
00ac6000      4K rwx--  /usr/lib/eclipse/libswt-atk-gtk-3138.so

Expected results:
Many more native libraries.

Additional info:
libgcj-4.0.1-7

eclipse libs still show up in gcj-dbtool -l /usr/lib/gcj-4.0.1/classmap.db
Comment 1 Robin Green 2005-08-12 09:02:37 EDT
This is a gcc build problem. In libgcj-4.0.1-7 the default value for
gnu.gcj.precompiled.db.path is wrong:

Steps to reproduce:
1. Run the Java statement:

System.out.println (System.getProperty ("gnu.gcj.precompiled.db.path"));

(e.g. using bsh, an interactive shell for Java)

Actual results:
/usr/src/build/600121-i386/install/usr/lib/gcj-4.0.1/classmap.db

Expected results:
/usr/lib/gcj-4.0.1/classmap.db

A related problem:
The output of gcj-dbtool -p is also
/usr/src/build/600121-i386/install/usr/lib/gcj-4.0.1/classmap.db, which is also
wrong. Therefore, this bug also breaks installation of new java packages that
use just "gcj-dbtool -p" in their postinstall scripts.
Comment 2 Jakub Jelinek 2005-08-17 06:22:53 EDT
Latest rawhide libgcj is 4.0.1-8 and it doesn't have this bug though.
Anyway, I'll add a spec check to fail the build if gcj-dbtool has been
incorrectly relinked (libtool bogosity I guess).

Note You need to log in before you can comment on or make changes to this bug.